Bug 522285 - fast user switching corrupts displayed colors on R200 using the testday-20090909-x86_64 ISO
Summary: fast user switching corrupts displayed colors on R200 using the testday-20090...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 00:38 UTC by Nicholas Miell
Modified: 2018-04-11 10:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-23 12:11:09 UTC


Attachments (Terms of Use)
dmesg (51.55 KB, text/plain)
2009-09-10 00:38 UTC, Nicholas Miell
no flags Details
Xorg.0.log (70.48 KB, text/plain)
2009-09-10 00:39 UTC, Nicholas Miell
no flags Details
bad cell phone photo of corrupted display (60.42 KB, image/jpeg)
2009-09-10 02:00 UTC, Nicholas Miell
no flags Details

Description Nicholas Miell 2009-09-10 00:38:49 UTC
Created attachment 360385 [details]
dmesg

Description of problem:
The root window is corrupted when using fast user switching on a R200.

Version-Release number of selected component (if applicable):
Whatever's on testday-20090909-x86_64

How reproducible:
Always

Steps to Reproduce:
1. Use fast user switching (or attempt to a text mode console using Ctrl-Alt-Fn)
  
Actual results:
Root window colors are corrupted (and stay corrupted when you switch back and forth). Interestingly enough, only the displayed image is corrupt, a screenshot displays correctly after rebooting.


Expected results:
Root window is not corrupted

Additional info:
http://www.smolts.org/client/show/pub_a5d07af1-0e5e-4bb1-b6cb-5d02feaf0891
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon R200 QH [Radeon 8500] [1002:5148] (rev 80)

Comment 1 Nicholas Miell 2009-09-10 00:39:50 UTC
Created attachment 360387 [details]
Xorg.0.log

Comment 2 Nicholas Miell 2009-09-10 01:55:16 UTC
Running xgamma -gamma 1.0 fixes the colors (at least until the next time you attempt to switch VTs).

Comment 3 Nicholas Miell 2009-09-10 02:00:43 UTC
Created attachment 360405 [details]
bad cell phone photo of corrupted display

Despite how terrible this image is, the colors are basically accurate.

Comment 4 Adam Williamson 2009-09-16 19:00:16 UTC
sounds to me like this could be the same basic issue as 522849...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Nicholas Miell 2009-09-16 19:38:38 UTC
xgamma reports values of 1.0 across the board while the colors are wrong, so unless the gamma fade is done without the knowledge of the X server, that probably isn't the problem.

Comment 6 Adam Williamson 2009-09-17 19:24:45 UTC
hmm, I see. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Matěj Cepl 2009-11-05 17:15:41 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Bug Zapper 2009-11-16 12:09:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Jérôme Glisse 2009-11-17 18:23:04 UTC
Nicholas do you still see this issue with lastest fedora 12 bits ? If so please
gives the output of this 2 commands :
rpm -q kernel xorg-x11-drv-ati xorg-x11-server-Xorg
uname -a


Note You need to log in before you can comment on or make changes to this bug.